Open Infrastructure - Task #7345

Cleanup & upstream matrix-related types
11/28/2019 03:36 PM - Nico Schottelius

Status: Closed Start date: 11/28/2019
Priority: Low Due date:

Assignee: Timothée Floure % Done: 0%
Category: Estimated time: 0.00 hour

Target version:
PM Check date:

Description

¢ So that we can offer matrix-as-a-service
¢ Consider if it is possible to run matrix on a v6 only VM and proxy into the IPv4 world
o | am not sure how the protocol functions, but if it uses TLS/SNI, it should be possible on our ipv6-proxy

Related issues:
Blocks Open Infrastructure - Task #8888: Meta-Issue for Matrix late-winter 20... Closed 02/11/2021

History

#1 - 11/30/2019 07:19 AM - Timothée Floure

- Assignee set to Timothée Floure

#2 - 12/02/2019 09:41 PM - Timothée Floure

- Status changed from New to In Progress

Works but need more testing. | haven't forgotten this issue, which will be updated soon (TM).

#3 - 12/17/2019 12:49 PM - Nico Schottelius
- Project changed from hack4glarus-2019-winter to Open Infrastructure
- Subject changed from Create a matrix cdist type to Create a matrix cdist type + make it customer usable

- Description updated

Moving ticket to Open Infrastructure

#4 - 12/19/2019 11:25 AM - Nico Schottelius
- Priority changed from Normal to High

#5 - 12/19/2019 04:57 PM - Timothée Floure

Both matrix-synapse and matrix-riot should be usable now, although they need some real-world testing which will handled by #6694.

The sources are currently hosted on [git.sr.ht](https:/qit.sr.ht/~fnux/matrix-cdist-types): shall | move the to ungleich-public on code.ungleich.ch? Note
that | do not have access to the ungleich-public group (yet?).

#6 - 12/19/2019 05:41 PM - Nico Schottelius

Just added you to ungleich-public, please move there

#7 - 12/30/2019 07:37 AM - Timothée Floure

The project has been imported under https:/code.ungleich.ch/ungleich-public/matrix-cdist-types. Moving to issue #6694 for real-world testing (i.e.
‘customer-usable' part).

#8 - 12/31/2019 04:26 PM - Timothée Floure

- Status changed from In Progress to Waiting

#9 - 07/22/2020 03:27 PM - Timothée Floure

- Subject changed from Create a matrix cdist type + make it customer usable to Cleanup & upstream matrix-related types

04/10/2024 1/2



http://localhost:3000/issues/6694
https://git.sr.ht/~fnux/matrix-cdist-types
https://code.ungleich.ch/ungleich-public/matrix-cdist-types
http://localhost:3000/issues/6694

- Status changed from Waiting to In Progress
- Priority changed from High to Low
Components are slowly being upstreamed.
e _ matterbridge is in dot-cdist
e _ matrix_riot has a PR opened against cdist-contrib.
e _ matrix_synapse is being cleaned up / has a WIP PR opened against cdist-contrib.
TODO: Mention cdist in weekly "This Week In Matrix" once everything is merged.

#10 - 02/15/2021 06:58 PM - Timothée Floure

| did the heavy work for both __matrix_synapse and __ungleich_matrix but there's still documentation update, some testing and worker mode to be
done.

#11 - 02/15/2021 06:59 PM - Timothée Floure
- Blocks Task #8888: Meta-Issue for Matrix late-winter 2021 cleanup added

#12 - 11/11/2021 09:32 PM - Nico Schottelius

- Status changed from In Progress to Closed
